Doomsday Engine - Bug #1589
[Windows] Missing icons
2013-10-18 10:53 - skyjake

Status: Closed Start date: 2013-10-18
Priority: Low % Done: 100%
Assignee: skyjake

Category: Minor detalil

Target version: 2.0 — Home Ul & Packages

Description

On Windows 7, icons for the main window and Add/Remove Programs are missing.

Associated revisions

Revision 10e9e15e - 2013-10-26 19:42 - skyjake
Windows: Updated app icons, deploy Doomsday icon to data/graphics/

ClientWindow was trying to load "doomsday.ico" from a native file but
apparently it wasn't being deployed in the installation.

The app icons now contain sizes 16x16, 32x32, 48x48 and 256x256.
Related to IssuelD #1589.

Revision 0233474 - 2013-10-29 09:44 - skyjake

Windows: Updated app icons, deploy Doomsday icon to data/graphics/

ClientWindow was trying to load "doomsday.ico" from a native file but
apparently it wasn't being deployed in the installation.

The app icons now contain sizes 16x16, 32x32, 48x48 and 256x256.
Related to IssuelD #1589.

Revision 60846192 - 2014-04-25 07:51 - skyjake
Windowsl|Installer: Added a small icon for uninstalling
Attempting a fix.

IssuelD #1589

Revision 3132e327 - 2014-04-25 20:38 - skyjake
Windows|Client: Updated app icon

Using the reordered .ico that seems to work better.
IssuelD #1589

Revision 2a2ea087 - 2016-10-08 20:37 - skyjake
Fixed|Windows: Main window icon is missing

IssuelD #1589

History

#1 - 2013-10-18 20:19 - skyjake

- Category set to Minor detail

#2 - 2013-10-26 13:58 - skyjake
- Status changed from New to In Progress

- Assignee set to skyjake
#3 - 2013-10-27 08:24 - skyjake
- Assignee deleted (skyjake)

- Target version deleted (1.12.1)
- % Done changed from 0 to 20

I'm not sure this can be entirely fixed. Particularly the icon appearing in the Add/Remove Programs dialog is most likely up to Inno Setup, and an icon
has already been specified for the installer .exe.

As shown in the related commit, doomsday.ico is now included as a native file under data/graphics/ so that it can be loaded by Qt as the main window
icon.

#4 - 2013-10-27 14:53 - danij
- % Done changed from 20 to 40

Commit c7debe3 should address the missing icon in Add/Remove Programs/Control Panel. It appears that Inno Setup uses separate icon paths for
everything and each must be set accordingly.

#5 - 2014-04-25 06:23 - sonicdoommario

Just wanted to update this. With the latest change the Doomsday desktop icons (at least on Win7 64-bit) show up fine and no manual configuring to
get them to display correctly is needed.

Still showing up as a generic icon in Add/Remove Programs however.

#6 - 2014-04-25 07:14 - skyjake
- % Done changed from 40 to 70

#7 - 2014-04-25 07:35 - skyjake

The updated icon of 99770c4a is being used by Inno Setup as the new uninstaller icon. This might mean that it gets confused by the included large
size (256x256). We could try adding a separate icon with only the small sizes (16/32) for the uninstaller.

#8 - 2014-04-26 18:06 - skyjake

6084692 does not seem to help; the uninstaller icon is still a generic one in Add/Remove Programs.

#9 - 2016-03-27 09:01 - skyjake

- Target version set to 2.0 — Home Ul & Packages

#10 - 2016-05-13 13:53 - skyjake

- Priority changed from Normal to Low

#11 - 2016-06-19 02:40 - sonicdoommario

A Doomsday icon now shows up in Programs and Features under Windows 7, as of the 2.0 unstable builds.

#12 - 2016-07-05 23:53 - skyjake

- Status changed from In Progress to Progressed

#13 - 2016-07-20 15:45 - skyjake

- Assignee set to skyjake

#14 - 2016-10-08 20:36 - skyjake
- Status changed from Progressed to In Progress

- % Done changed from 70 to 100

#15 - 2016-10-08 20:37 - skyjake

- Status changed from In Progress to Resolved

#16 - 2016-10-10 08:01 - skyjake

- Status changed from Resolved to Closed
